#
# spec file for package gimp-cmyk (Version 0.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild
# neededforbuild  atk atk-devel expat freetype2 freetype2-devel gimp gimp-devel glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libjpeg liblcms liblcms-devel libpng-devel-packages libtiff pango pango-devel pkgconfig x-devel-packages

Name:         gimp-cmyk
URL:          http://www.blackfiveservices.co.uk/separate.shtml
License:      GPLv2
Group:        Applications/Multimedia
Version:      0.3
Release:      1%{?dist}
Summary:      Plug-in Providing CMYK Support for The GIMP
Source:       separate-gimp2-0.3_linux.tar.bz2
Source1:      README.Fedora
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

BuildRequires: gimp >= 2.2.17
BuildRequires: gimp-devel >= 2.2.17
BuildRequires: lcms-devel
BuildRequires: libtiff-devel

%description
The CMYK GIMP plug-in allows RGB to CMYK separation within the GIMP,
using littlecms for color management, and allows the result to be saved
as a CMYK TIFF.

This package contains the plug-in built for The GIMP 2.0.

Authors:
--------
    Alastair Robinson <blackfive@fakenhamweb.co.uk>

%prep
%setup -n separate-%{version}_linux
%{__install} -m 0644 %{SOURCE1} .
rm -f separate *.o

%build
%{__make} %{?_smp_mflags} separate

%install
rm -rf $RPM_BUILD_ROOT
mkdir -m 755 -p $RPM_BUILD_ROOT$(gimptool-2.0 --gimpplugindir)/plug-ins
cp separate $RPM_BUILD_ROOT$(gimptool-2.0 --gimpplugindir)/plug-ins
mkdir -p $RPM_BUILD_ROOT/usr/share/color/icc
cp sRGB/*.icm sRGB/*.txt $RPM_BUILD_ROOT/usr/share/color/icc

%clean
rm -rf $RPM_BUILD_ROOT

%files  
%defattr(-,root,root)
%doc README.Fedora sRGB/*.txt
%{_libdir}/gimp/2.0/plug-ins/*
%{_datadir}/color

%changelog -n gimp-cmyk
* Fri Aug 10 2007 Peter Hanecak <hany@hany.sk> 0.3-1
- addapted to Doors (Fedora) Linux

* Tue Feb 22 2005 - sbrabec@suse.cz
- Packaged sRGB_readme.txt to icc directory without %%doc flag.
* Mon Feb 21 2005 - sbrabec@suse.cz
- Updated to version 0.3.
- Added sRGB profile and edited README.SuSE.
* Mon Apr 05 2004 - sbrabec@suse.cz
- Added empty directory for profiles.
- Added README.SuSE (#36220).
- Removed strange scriptlets.
* Tue Mar 23 2004 - sbrabec@suse.cz
- Fixed GIMP2 paths.
* Fri Feb 20 2004 - sbrabec@suse.cz
- Renamed to gimp-cmyk to reflect gimp2 rename.
* Fri Feb 20 2004 - ro@suse.de
- update neededforbuild: gimp2 is now gimp
* Fri Jan 30 2004 - hhetter@suse.de
- inital SUSE release
